
Ok, after messing around with the radio on my own and then getting the
"official" mod, here's a summary of the various diode mods for the Z1A:

Icom Z1A mods

[B]+[#]+[POWER] = Extended Receive.
                  VFO *DISPLAYS* 50-299.900 and 300-999.900.
                  AM Aircraft band enabled.
                  SET mode now has a new "PLACE" function for setting
                    the direct entry starting digit.

There is room for four diodes in the Z1A located on the CPU board to the left
of the ribbon cable connector.  On a US version, only the bottom two are
installed.  D15 is just below and to the right of the four diodes.  These
diodes are bigger than the rest of the surface mounted components and are easy
to spot.
The official ICOM mod (which I unofficially saw...) is to remove D15 for
extended TX and to use the above keyboard mod for extended receive.  According
to the sheet, the 800-900 band is NOT available in US versions.


     +-+  +-+
     | |  | |  <---- Installing diodes in either of these seems to do
     +-+  +-+        nothing.

     +-+  +-+
     | |  | |  <---- IN: US Version 144-148 TX 440-450 TX
     +-+  +-+       OUT: Extended   136-174 TX 380-470 TX (Lose auto-repeater
      ^                                                    and tone encode)
      |
      +------------  IN: US         144-148 TX 440-450 TX
                    OUT: European   144-148 TX 430-440 TX 

               +-+
     "D15"-->  | | <---- IN: US Version Stock
               +-+      OUT: Extended TX 136-174 380-470 (keeps auto-repeater
                                                          and tone encode)

A word of warning about messing with the four diode pads:  If you detach
either one of the installed diodes, the CPU will reset and you'll lose ALL of
your memories. (found that out the hard way...)  D15 doesn't seem to affect
the memories at all.

Since the 800MHz band is not available in US versions, my guess is that
there's a keyboard mod to unlock it instead of a diode.  The diodes only seem
to control the country versions. 
